Zend Optimizer läuft nicht

Apache, Lighttpd, nginx, Cherokee
subsonix
Posts: 21
Joined: 2003-06-02 21:15

Zend Optimizer läuft nicht

Post by subsonix » 2007-03-28 21:54

Hallo zusammen,

ich möchte den Zend Optimizer auf meinem neuen dedizierten Server installieren.

uname -a gibts aus:
Linux h1243441 2.6.16.27-0.9-smp #1 SMP Tue Feb 13 09:35:18 UTC 2007 i686 athlon i386 GNU/Linux
Also habe ich wegen dem i386 die 32bit Version genommen. Richtig?

Die Installation klappte problemlos, allerdings liefert Apache ab sofort leere Seiten aus. ioncube war vorher auch schon drauf, habe ich aber deaktiviert, damit es sich nicht in die Quere kommt.
Trotzdem liefert Apache bei aktiviertem Zend Optimizer nur leere Seiten aus. In den Logfiles konnte ich nichts außergewöhnliches feststellen oder gar Fehlermeldungen finden.

Was kann das sein? Irgendeine Inkompatibilität? Oder mache ich etwas falsch? Ich hab schon alles mögliche ausprobiert und bin mit meinem Latein am Ende.

mein System:
Strato HighQ Rootserver, Dualcore Opteron, 1 GB RAM, SuSE 10.1, Plesk 8.1.1

Viele Grüße,
Subsonix

raid
Posts: 119
Joined: 2003-08-01 09:32

Re: Zend Optimizer läuft nicht

Post by raid » 2007-05-31 13:53

moin moin,

hast du das problem lösen können? hab gleiche linux distri und ebenfalls bleiben die seiten weiß, sobald die

Code: Select all

zend_extension=/usr/local/Zend/lib/Optimizer-3.2.8/php-5.1.x/ZendOptimizer.so
zend_optimizer.optimization_level=15
geschichte in der php.ini steht.

error.log sagt nichts dazu, eigentlich hatte ich segfaults erwartet und das error-reporting ist auf E_ALL. *kopfkratz*

wenn ich ein "php5 -v" mach da wird aber alles korrekt als geladen angeziegt.

porschinho
Posts: 6
Joined: 2005-05-31 12:03

Re: Zend Optimizer läuft nicht

Post by porschinho » 2007-06-20 20:11

Die php version 5.1.2 oder 5.1.4 der suse 10.1 in inkompatibel zu zend-optimizer und ioncube-loader. hatte das gleiche problem. ich hab einfach das php-repository von der opensuse homepage in yast als installationsquelle eingebunden und php samt den dazugehörenden modulen auf den neusten stand gebracht.

dann sollte dein zend optimizer auch wieder laufen.